List both HTTP and heartbeat monitors for the authenticated account.
GET
/monitors/list
const url = 'https://api.siteqwality.com/monitors/list';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/monitors/list \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” limit
integer format: int32
Page size
offset
integer format: int32
Page offset
status
string
Filter by status
state
string
Filter by state
text
string
Free-text search
tags
Array<string>
Filter by tags
Responses
Section titled “ Responses ”Page of mixed-type monitors
Missing or invalid authentication
Internal server error